Debian Bug report logs - #732678
git-buildpackage -A calls lintian with the wrong .changes file

version graph

Package: git-buildpackage; Maintainer for git-buildpackage is Guido Günther <agx@sigxcpu.org>; Source for git-buildpackage is src:git-buildpackage.

Reported by: Raphaël Hertzog <hertzog@debian.org>

Date: Fri, 20 Dec 2013 09:03:09 UTC

Severity: normal

Found in version git-buildpackage/0.6.7

Fixed in version git-buildpackage/0.6.8

Done: Guido Günther <agx@sigxcpu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, hertzog@debian.org, Guido Günther <agx@sigxcpu.org>:
Bug#732678; Package git-buildpackage. (Fri, 20 Dec 2013 09:03:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphaël Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to hertzog@debian.org, Guido Günther <agx@sigxcpu.org>. (Fri, 20 Dec 2013 09:03:14 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: git-buildpackage -A calls lintian with the wrong .changes file
Date: Fri, 20 Dec 2013 10:01:22 +0100
Package: git-buildpackage
Version: 0.6.7
Severity: normal

When you build with git-buildpackage -A, dpkg-buildpackage will generate
an *_all.changes file but git-buildpackages will still try to call lintian
with an *_<arch>.changes file. This results in this:

Now running lintian...
warning: "linux-kali_3.12.3-1~kali2_amd64.changes" cannot be processed.
warning: It is not a valid lab query and it is not an existing file.
Finished running lintian.

-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.11-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages git-buildpackage depends on:
ii  devscripts            2.13.8
ii  git                   1:1.8.5.1-1
ii  man-db                2.6.5-2
ii  python                2.7.5-5
ii  python-dateutil       1.5+dfsg-0.1
ii  python-pkg-resources  1.4.2-1

Versions of packages git-buildpackage recommends:
ii  cowbuilder    0.73
ii  pristine-tar  1.30

Versions of packages git-buildpackage suggests:
ii  python-notify  0.1.1-3
ii  unzip          6.0-10

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#732678; Package git-buildpackage. (Fri, 20 Dec 2013 15:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. (Fri, 20 Dec 2013 15:09:08 GMT) Full text and rfc822 format available.

Message #10 received at 732678@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: Raphaël Hertzog <hertzog@debian.org>, 732678@bugs.debian.org
Subject: Re: Bug#732678: git-buildpackage -A calls lintian with the wrong .changes file
Date: Fri, 20 Dec 2013 16:05:14 +0100
On Fri, Dec 20, 2013 at 10:01:22AM +0100, Raphaël Hertzog wrote:
> Package: git-buildpackage
> Version: 0.6.7
> Severity: normal
> 
> When you build with git-buildpackage -A, dpkg-buildpackage will generate
> an *_all.changes file but git-buildpackages will still try to call lintian
> with an *_<arch>.changes file. This results in this:

Hmm...while we don't support -A yet I still wonder why this happens
since it should fall back to _source.changes instead. I know it's still
incorrect but it certainly shouldn't check the arch specific file.

Can you attach (or mail me directly) the full build output with
--git-verbose please.

Do you have any better ideas than checking the dpkg-buildpackage command
line for -A to detect wheter we need arch or all? I'd be so cool if
dpkg-buildpackage would have a nice way to communicate back such
information to build tools.
Cheers,
 -- Guido

> 
> Now running lintian...
> warning: "linux-kali_3.12.3-1~kali2_amd64.changes" cannot be processed.
> warning: It is not a valid lab query and it is not an existing file.
> Finished running lintian.
> 
> -- System Information:
> Debian Release: jessie/sid
>   APT prefers unstable
>   APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
> Architecture: amd64 (x86_64)
> Foreign Architectures: i386
> 
> Kernel: Linux 3.11-2-amd64 (SMP w/4 CPU cores)
> Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
> 
> Versions of packages git-buildpackage depends on:
> ii  devscripts            2.13.8
> ii  git                   1:1.8.5.1-1
> ii  man-db                2.6.5-2
> ii  python                2.7.5-5
> ii  python-dateutil       1.5+dfsg-0.1
> ii  python-pkg-resources  1.4.2-1
> 
> Versions of packages git-buildpackage recommends:
> ii  cowbuilder    0.73
> ii  pristine-tar  1.30
> 
> Versions of packages git-buildpackage suggests:
> ii  python-notify  0.1.1-3
> ii  unzip          6.0-10
> 
> -- no debconf information
> 



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#732678; Package git-buildpackage. (Fri, 20 Dec 2013 16:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. (Fri, 20 Dec 2013 16:24:04 GMT) Full text and rfc822 format available.

Message #15 received at 732678@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: Raphaël Hertzog <hertzog@debian.org>, 732678@bugs.debian.org
Subject: Re: Bug#732678: git-buildpackage -A calls lintian with the wrong .changes file
Date: Fri, 20 Dec 2013 17:18:22 +0100
On Fri, Dec 20, 2013 at 04:05:14PM +0100, Guido Günther wrote:
> Can you attach (or mail me directly) the full build output with
> --git-verbose please.
[..snip..] 

Scratch that, patch forthcoming.

> Do you have any better ideas than checking the dpkg-buildpackage command
> line for -A to detect wheter we need arch or all? I'd be so cool if
> dpkg-buildpackage would have a nice way to communicate back such
> information to build tools.

This still holds though.
Cheers,
 -- Guido



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#732678; Package git-buildpackage. (Fri, 20 Dec 2013 16:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. (Fri, 20 Dec 2013 16:24:07 GMT) Full text and rfc822 format available.

Message #20 received at 732678@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: 732678@bugs.debian.org
Cc: ,control@bugs.debian.org
Subject: [git-buildpackage/master] Determine changes file name based on dpkg-buildpackage options
Date: Fri, 20 Dec 2013 17:20:36 +0100 (CET)
tag 732678 pending
thanks

Date:   Fri Dec 20 17:01:17 2013 +0100
Author: Guido Günther <agx@sigxcpu.org>
Commit ID: eec8ce3e2f35d6f06a5ddb9b4a6f264a1ecf4bca
Commit URL: https://honk.sigxcpu.org/gitweb/?p=git-buildpackage.git;a=commitdiff;h=eec8ce3e2f35d6f06a5ddb9b4a6f264a1ecf4bca
Patch URL: https://honk.sigxcpu.org/gitweb/?p=git-buildpackage.git;a=commitdiff_plain;h=eec8ce3e2f35d6f06a5ddb9b4a6f264a1ecf4bca

    Determine changes file name based on dpkg-buildpackage options

    Closes: #732678
      



Added tag(s) pending. Request was from Guido Günther <agx@sigxcpu.org> to control@bugs.debian.org. (Fri, 20 Dec 2013 16:24:10 GMT) Full text and rfc822 format available.

Reply sent to Guido Günther <agx@sigxcpu.org>:
You have taken responsibility. (Fri, 20 Dec 2013 19:21:14 GMT) Full text and rfc822 format available.

Notification sent to Raphaël Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Fri, 20 Dec 2013 19:21:14 GMT) Full text and rfc822 format available.

Message #27 received at 732678-close@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: 732678-close@bugs.debian.org
Subject: Bug#732678: fixed in git-buildpackage 0.6.8
Date: Fri, 20 Dec 2013 19:18:30 +0000
Source: git-buildpackage
Source-Version: 0.6.8

We believe that the bug you reported is fixed in the latest version of
git-buildpackage, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 732678@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guido Günther <agx@sigxcpu.org> (supplier of updated git-buildpackage package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 20 Dec 2013 18:16:01 +0100
Source: git-buildpackage
Binary: git-buildpackage
Architecture: source all
Version: 0.6.8
Distribution: unstable
Urgency: medium
Maintainer: Guido Günther <agx@sigxcpu.org>
Changed-By: Guido Günther <agx@sigxcpu.org>
Description: 
 git-buildpackage - Suite to help with Debian packages in Git repositories
Closes: 731149 732384 732678
Changes: 
 git-buildpackage (0.6.8) unstable; urgency=medium
 .
   * [f5718b8] No need to document --verbose.  Properly document --help
     instead.
     Thanks to Olivier Berger for pointing this out (Closes: #731149)
   * [e746d5f] Adjust test cases to newer devscripts (Closes: #732384)
   * [ca93ccb] Run nosetest on executables too.
     They're all well behaved and this allows us to use doctests in them
   * [eec8ce3] Determine changes file name based on dpkg-buildpackage options
     (Closes: #732678)
Checksums-Sha1: 
 e24df114c1003557045cd1208deb228d6d29775d 1283 git-buildpackage_0.6.8.dsc
 daf49192cbe09ba8435051872e44ed438a9a3fc3 219078 git-buildpackage_0.6.8.tar.gz
 8387f076ff6b488274f39c4079f06914e018476a 275322 git-buildpackage_0.6.8_all.deb
Checksums-Sha256: 
 e0409a1d46aa03d6959759649862987218c22aba3f4d5857afce780b7f1b7681 1283 git-buildpackage_0.6.8.dsc
 9e5eff20b7f881762a94ab1daeb04e4f7a5af75f4f81f8a433879ed777e7809f 219078 git-buildpackage_0.6.8.tar.gz
 6451167e3bc922a80ff6c937440a4bbc01c6f86c85906adc2779f4c08528a927 275322 git-buildpackage_0.6.8_all.deb
Files: 
 5d6b2c43626fbc7a6f8c703714a8eaf0 1283 vcs optional git-buildpackage_0.6.8.dsc
 3b4d6d9072830658c91fbae50365bff0 219078 vcs optional git-buildpackage_0.6.8.tar.gz
 76e36693655bfae886cb50d76cfa5802 275322 vcs optional git-buildpackage_0.6.8_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iD8DBQFStIgpn88szT8+ZCYRAm60AJ9iRxxUbCSCW9Owm/aO1NKmy8XZQwCeO/50
EvHdmCNcJH7aCW5jhFnmNCY=
=muvx
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Guido Günther <agx@sigxcpu.org>:
Bug#732678; Package git-buildpackage. (Fri, 20 Dec 2013 19:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Guido Günther <agx@sigxcpu.org>. (Fri, 20 Dec 2013 19:48:07 GMT) Full text and rfc822 format available.

Message #32 received at 732678@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Guido Günther <agx@sigxcpu.org>
Cc: 732678@bugs.debian.org
Subject: Re: Bug#732678: git-buildpackage -A calls lintian with the wrong .changes file
Date: Fri, 20 Dec 2013 20:46:26 +0100
Hi,

On Fri, 20 Dec 2013, Guido Günther wrote:
> On Fri, Dec 20, 2013 at 04:05:14PM +0100, Guido Günther wrote:
> > Can you attach (or mail me directly) the full build output with
> > --git-verbose please.
> [..snip..] 
> 
> Scratch that, patch forthcoming.

Thanks!

> > Do you have any better ideas than checking the dpkg-buildpackage command
> > line for -A to detect wheter we need arch or all? I'd be so cool if
> > dpkg-buildpackage would have a nice way to communicate back such
> > information to build tools.
> 
> This still holds though.

Feel free to open a wishlist bug report. We can certainly imagine
something to improve this, similar to what --status-fd does for dpkg
itself.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Discover the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 23 Jan 2014 07:32:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 05:56:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.